# <sven@killig.de>
# unbinding by Spectra https://www.eevblog.com/forum/testgear/hacking-the-rigol-dho800900-scope/msg5714159/#msg5714159

if lsusb | grep 0bda: ; then
 devpath=$(lsusb | busybox awk '/0bda:/ {bus=$2+0;device=$4-1;print bus"-"device":1.0"}')
 echo unbinding $devpath ...
 echo -n $devpath > /sys/bus/usb/drivers/rtk_btusb/unbind
fi

mount --bind /data/local/tmp/firmware /lib/firmware
cd /system/lib/modules

if lsusb | grep :b720 || lsusb | grep :a611 ; then
 echo RTL8723BU
 insmod rtk_btusbew7611ulb.ko
 insmod 8723bu.ko
else
 if lsusb | grep :d723 || lsusb | grep :d611 ; then
  echo RTL8723DU
  insmod rtk_btusbew7611ulbv2.ko
  insmod 8723du.ko
 else
  echo Dongle not supported!
 fi
fi
